summaryrefslogtreecommitdiffstats
path: root/.github/tools
diff options
context:
space:
mode:
Diffstat (limited to '.github/tools')
-rwxr-xr-x.github/tools/run_mdadm_tests.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/.github/tools/run_mdadm_tests.sh b/.github/tools/run_mdadm_tests.sh
new file mode 100755
index 0000000..456874b
--- /dev/null
+++ b/.github/tools/run_mdadm_tests.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/bash
+
+sudo make clean
+sudo make -j$(nproc)
+sudo make install
+sudo mdadm -Ss
+sudo ./test setup
+
+# Uncomment and adjust this to minimalize testing time for CI or test improvements.
+# --tests=test1,test2,... Comma separated list of tests to run
+
+#sudo ./test --tests=00createnames
+
+sudo ./test --skip-broken --no-error --disable-integrity --disable-multipath --disable-linear --keep-going
+
+ret=$?
+sudo ./test cleanup
+exit $ret